ShareUpdateForm (gCube Share Updates Portlet 1.7.0-3.7.0 API)
Date: 2015-05-19

org.gcube.portlets.user.shareupdates.client.view

## Class ShareUpdateForm

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - org.gcube.portlets.user.shareupdates.client.view.ShareUpdateForm

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget

      public class ShareUpdateForm
      extends com.google.gwt.user.client.ui.Composite

  Version:
    1.2 Nov 2012
  Author:
    Massimiliano Assante

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `attach`
    `static String` | `avatar_default`
    `protected static String` | `ERROR_UPDATE_TEXT`
    `static String` | `loading`
    `static String` | `NO_TEXT_FILE_SHARE`
    `protected static String` | `SHARE_UPDATE_TEXT`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShareUpdateForm()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `cancelPreview()`
    `protected void` | `checkFile(String fileName, String absolutePathOnServer)` called when the file was correctly uploaded on server
    `protected void` | `checkLink(String textToCheck)` called when pasting a possible link
    `static void` | `fileBrowse(com.google.gwt.user.client.Element el)` this simulates the click on the hidden native GWT FileUpload Button
    `static ShareUpdateForm` | `get()`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SHARE_UPDATE_TEXT

          protected static final String SHARE_UPDATE_TEXT

      See Also:
        Constant Field Values

    - #### ERROR_UPDATE_TEXT

          protected static final String ERROR_UPDATE_TEXT

      See Also:
        Constant Field Values

    - #### NO_TEXT_FILE_SHARE

          public static final String NO_TEXT_FILE_SHARE

      See Also:
        Constant Field Values

    - #### loading

          public static final String loading

    - #### avatar_default

          public static final String avatar_default

    - #### attach

          public static final String attach

  - ### Constructor Detail

    - #### ShareUpdateForm

          public ShareUpdateForm()

  - ### Method Detail

    - #### get

          public static ShareUpdateForm get()

    - #### fileBrowse

          public static void fileBrowse(com.google.gwt.user.client.Element el)

      this simulates the click on the hidden native GWT FileUpload Button
      Parameters:
        `el` -

    - #### checkLink

          protected void checkLink(String textToCheck)

      called when pasting a possible link
      Parameters:
        `linkToCheck` -

    - #### checkFile

          protected void checkFile(String fileName,
                       String absolutePathOnServer)

      called when the file was correctly uploaded on server
      Parameters:
        `fileName` - the name of the file
        `absolutePathOnServer` - the path of the file ending with its name on the server temp

    - #### cancelPreview

          protected void cancelPreview()

Copyright © 2015. All Rights Reserved.